
Foreman - Refactor #10402

Need a centralized way to convert values to booleans

05/06/2015 03:44 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Rails   

Target version: 1.9.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2356

  

Description

Currently in Foreman strings are converted to booleans on a case by case basis, we should centralize this.

Related issues:

Related to Foreman - Bug #11945: param_true? throws 'undefined local variable... Closed 09/24/2015

Associated revisions

Revision c74610f9 - 05/19/2015 09:47 AM - Walden Raines

Fixes #10402: add to_bool function for converting to boolean.

This commit adds a to_bool function for casting values to boolean

as well as an example usage.

http://projects.theforeman.org/issues/10402

History

#1 - 05/07/2015 05:44 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2356 added

- Pull request deleted ()

#2 - 05/19/2015 09:47 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#3 - 05/19/2015 10:02 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c74610f9ae1de9c543dd976c26ee7d81fe6506e6.

#4 - 09/24/2015 08:02 AM - Dominic Cleal

- Related to Bug #11945: param_true? throws 'undefined local variable or method' error added
